repo/proj/guru:dev commit in: media-sound/fooyin/
"Sebastian Engel" <[email protected]> Tue, 04 Aug 2026 11:01:11 +0000 (UTC)
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785841267.5ff2ac2df6f03b6dbcccff679478e17e2a3c2c79.sighunter@gentoo> |
commit: 5ff2ac2df6f03b6dbcccff679478e17e2a3c2c79
Author: Sebastian Engel <sighunter <AT> gmx <DOT> de>
AuthorDate: Tue Aug 4 10:57:18 2026 +0000
Commit: Sebastian Engel <sighunter <AT> gmx <DOT> de>
CommitDate: Tue Aug 4 11:01:07 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5ff2ac2d
media-sound/fooyin: add 0.12.1
Signed-off-by: Sebastian Engel <sighunter <AT> gmx.de>
media-sound/fooyin/Manifest | 1 +
media-sound/fooyin/fooyin-0.12.1.ebuild | 95 +++++++++++++++++++++++++++++++++
2 files changed, 96 insertions(+)
diff --git a/media-sound/fooyin/Manifest b/media-sound/fooyin/Manifest
index eb0495de1d..b4c4d70af6 100644
--- a/media-sound/fooyin/Manifest
+++ b/media-sound/fooyin/Manifest
@@ -3,3 +3,4 @@ DIST fooyin-0.10.8.tar.gz 3959929 BLAKE2B af50a89960531fc0a0d4331a3243a58ea2a95d
DIST fooyin-0.11.0.tar.gz 4355172 BLAKE2B 3c498c4b37ef2691fccc1a21aa9920c535c761ff1feaf136209d36aaa933aab6127f2c003ea5360e6d0c96a774cab50056854cb596dc05149d3fae4d3c3fe80f SHA512 1a0f9c7d6c0211877ce3fdf89619c07e48773eae321e6f35b60e1361406762cb061252538db09346fe147f2f708c950a559310bf23065f849eaebee38308f04b
DIST fooyin-0.11.1.tar.gz 4355959 BLAKE2B 3ef7cc1e7c6e1d401c52ad5635b416c7d8e49581c5d94df2d0370052ebbe06e594912b96a61a01e42dc530b4a6db7008a100269298fbdabb8abd7179bc56b900 SHA512 4c78891b38b1073ac89b720f85836ace74d196ac38bf0b7bf3f1d6e3863c4d5ff15d07b8343fbca79a4708a0a0262f45103b20f0c9e0909cf8a680e532411e66
DIST fooyin-0.12.0.tar.gz 4695896 BLAKE2B a8feac6e9ae577b32cc62b2c473eb88170996bbf3a0ed5d3d13bb7957882f1463e4710e4f2eb2fad7e9a58e6d8db9fd802fdb328b7dfb49bd9457d0df2854d9f SHA512 a5508fb1aa1b947816f0a05238aeee01aad13b15598af29a9d4ba7bba0fd9be280be63b466a09c58a17a07833306cc5433b8467c11eb7d8de1a1cfaea1288e7c
+DIST fooyin-0.12.1.tar.gz 4747608 BLAKE2B c465de0516ea5749ee4800feffd6a54f7271ab389dded92066e8c1a6a5af7b7664419fd3bce8132e8bbbc47264911e64fc98fc4ae189a1a42811ed190202d91b SHA512 ee85b2ada8cc3cf36fb636342a72446e9f5b0fcebb3b0d06fbe74f2c10daec9d88854c8bdd166f1385859a2f39f4e88f119dcf90d0b97366a5060906f9967a98
diff --git a/media-sound/fooyin/fooyin-0.12.1.ebuild b/media-sound/fooyin/fooyin-0.12.1.ebuild
new file mode 100644
index 0000000000..518be86bb1
--- /dev/null
+++ b/media-sound/fooyin/fooyin-0.12.1.ebuild
@@ -0,0 +1,95 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake xdg
+
+DESCRIPTION="A customizable music player, Qt clone of foobar2000"
+HOMEPAGE="https://www.fooyin.org/"
+
+if [[ ${PV} == *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/fooyin/fooyin.git"
+else
+ SRC_URI="
+ https://github.com/fooyin/fooyin/archive/refs/tags/v${PV}.tar.gz
+ -> ${P}.tar.gz
+ "
+ KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+
+IUSE="alsa +archive gme openmpt +pipewire projectm pulseaudio +replaygain sdl sndfile soundtouch soxr test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+ || ( alsa pipewire pulseaudio sdl )
+"
+
+RDEPEND="
+ dev-libs/icu:=
+ dev-libs/kdsingleapplication
+ dev-libs/qcoro[network]
+ dev-qt/qtbase:6[concurrent,dbus,gui,network,sql,widgets]
+ dev-qt/qtimageformats:6
+ dev-qt/qtsvg:6
+ media-libs/taglib:=
+ media-video/ffmpeg:=
+ virtual/zlib:=
+ alsa? ( media-libs/alsa-lib )
+ archive? ( app-arch/libarchive:= )
+ gme? ( media-libs/game-music-emu )
+ openmpt? ( media-libs/libopenmpt )
+ pipewire? ( media-video/pipewire:= )
+ projectm? (
+ dev-qt/qtbase:6[opengl]
+ media-libs/libprojectm:4=
+ )
+ pulseaudio? ( media-libs/libpulse )
+ replaygain? ( media-libs/libebur128:= )
+ sdl? ( media-libs/libsdl2 )
+ sndfile? ( media-libs/libsndfile )
+ soundtouch? ( media-libs/libsoundtouch:= )
+ soxr? ( media-libs/soxr )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ dev-qt/qttools:6[linguist]
+ test? (
+ dev-cpp/gtest
+ media-video/ffmpeg:=[opus]
+ )
+"
+
+src_prepare() {
+ sed -i CMakeLists.txt \
+ -e "s|/doc/${PN}|/doc/${PF}|g" \
+ -e '/option(BUILD_TESTING/aenable_testing()' \
+ || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_ALSA=$(usex alsa)
+ -DBUILD_TESTING=$(usex test)
+ -DBUILD_CCACHE=OFF
+ -DINSTALL_HEADERS=ON
+ $(cmake_use_find_package archive LibArchive)
+ $(cmake_use_find_package gme LIBGME)
+ $(cmake_use_find_package openmpt OpenMpt)
+ $(cmake_use_find_package pipewire PipeWire)
+ $(cmake_use_find_package projectm projectM4)
+ $(cmake_use_find_package pulseaudio PulseAudio)
+ $(cmake_use_find_package replaygain Ebur128)
+ $(cmake_use_find_package sdl SDL2)
+ $(cmake_use_find_package sndfile SndFile)
+ $(cmake_use_find_package soundtouch SoundTouch)
+ $(cmake_use_find_package soxr SoXR)
+ )
+
+ cmake_src_configure
+}